apiVersion: tekton.dev/v1alpha1
kind: Task
metadata:
  name: list-task
spec:
  steps:
    - image: registry.redhat.io/ubi7/ubi-minimal
      name: test
      resources: {}
      script: |
        for i in $(ls /workspace/test-workspace)
        do
          ls /workspace/test-workspace/$i
          sleep 5
        done
  workspaces:
    - name: test-workspace

